/* 
   Name: uart.h
   Author: Mathäus Sander & Florian Weinhold

   Desc.: UART output for ATmega
   License: LGPL
*/

#ifndef F_CPU
#define F_CPU 20000000L
#endif

#define BAUD 9600L

#ifndef DEBUG
#define DEBUG
#endif

#include<avr/io.h>
#include<util/setbaud.h>
#include<stdio.h>

#ifndef _UART_H_
#define _UART_H_

void USART_Init(void);
int uart_putchar(char, FILE *);

#endif 
